import { TournamentError } from "./tournament_error.js";

export class MaxPlayersExceededError extends TournamentError {
  constructor(
    gameId: number,
    playerId: number,
    maxPlayers: number,
    options?: ErrorOptions
  ) {
    super(
      `Player: ${playerId} attempted to join game: ${gameId} which ` +
        `already has the maximum number (${maxPlayers}) of permissible ` +
        `players.`,
      options
    );
  }
}
